Name:           nethogs
Version:        0.8.0
Release:        10%{?dist}
Summary:        A tool resembling top for network traffic

Group:          Applications/Internet
License:        GPL+
URL:            http://nethogs.sourceforge.net

Source0:        nethogs-0.8.0.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       ncurses 
BuildRequires:  libstdc++-devel, ncurses-devel, libpcap-devel, gcc-c++

%description
NetHogs is a small "net top" tool.

Instead of breaking the traffic down per protocol or per subnet, like
most such tools do, it groups bandwidth by process and does not rely
on a special kernel module to be loaded.

So if there's suddenly a lot of network traffic, you can fire up
NetHogs and immediately see which PID is causing this, and if it's
some kind of spinning process, kill it.

%prep
%setup -q -n "nethogs"

%build
make %{?_smp_mflags} CFLAGS="${RPM_OPT_FLAGS}"

%install
rm -rf "${RPM_BUILD_ROOT}"

mkdir -p "${RPM_BUILD_ROOT}%{_sbindir}"
install -m 0755 nethogs "${RPM_BUILD_ROOT}%{_sbindir}/"

mkdir -p "${RPM_BUILD_ROOT}%{_mandir}/man8"
install -m 0644 nethogs.8 "${RPM_BUILD_ROOT}%{_mandir}/man8/"

%clean
rm -rf "${RPM_BUILD_ROOT}"

%files
%defattr(-,root,root)
%doc Changelog DESIGN README
%{_sbindir}/nethogs
%doc %{_mandir}/man*/*

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.8.0-9
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-3
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Nov 07 2011 Anderson Silva <ansilva@redhat.com> - 0.8.0-1
- Update from upstream. 

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 9 2009 Anderson Silva <afsilva@fedoraproject.org> - 0.7.0-7
- Update codebase to version 0.7.0 
- remove patches
* Fri Feb 26 2009 Manuel "lonely wolf" Wolfshant <wolfy@fedoraproject.org> - 0.7-6.20080627cvs
- Adjust the patch in order to compile with gcc4
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-5.20080627cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
* Sun Sep 21 2008 Ville Skyttä <ville.skytta at iki.fi> - 0.7-4.20080627cvs
- Fix Patch0:/%%patch mismatch.
* Fri Jul 08 2008 Anderson Silva <ansilva@redhat.com> 0.7-3.20080627cvs
- Fix for debuginfo package provided by Ville Skytta.
* Fri Jun 27 2008 Anderson Silva <ansilva@redhat.com> 0.7-2.20080627cvs
- Patch provided by Marek Mahut to compile under Fedora 9
- Removed BuildArch restrictions
* Fri Jun 27 2008 Anderson Silva <ansilva@redhat.com> 0.7-1.20080627cvs
- Stable package of nethogs
